<html>
<head>
<title>Photon-photon Interactions</title>
<link rel="stylesheet" type="text/css" href="pythia.css"/>
<link rel="shortcut icon" href="pythia32.gif"/>
</head>
<body>

<script language=javascript type=text/javascript>
function stopRKey(evt) {
var evt = (evt) ? evt : ((event) ? event : null);
var node = (evt.target) ? evt.target :((evt.srcElement) ? evt.srcElement : null);
if ((evt.keyCode == 13) && (node.type=="text"))
{return false;}
}

document.onkeypress = stopRKey;
</script>
<?php
if($_POST['saved'] == 1) {
if($_POST['filepath'] != "files/") {
echo "<font color='red'>SETTINGS SAVED TO FILE</font><br/><br/>"; }
else {
echo "<font color='red'>NO FILE SELECTED YET.. PLEASE DO SO </font><a href='SaveSettings.php'>HERE</a><br/><br/>"; }
}
?>

<form method='post' action='PhotonPhoton.php'>
 
<h2>Photon-photon Interactions</h2> 
 
From version 8.214 on, also resolved photon-photon interactions can be 
simulated. Currently quark and gluon initiated hard-processes with parton 
showers and hadronization can be generated, but MPIs and soft interactions 
are not included. Only new parameter is the selection of the 
<?php $filepath = $_GET["filepath"];
echo "<a href='PDFSelection.php?filepath=".$filepath."' target='page'>";?>PDF set for photons</a>. This page describes 
some of the special features related to these collisions. 
 
<h3>Resolved photon</h3> 
 
Photons can either interact directly as an unresolved particle or they 
can form a hadronic state. In the latter case the hard process can be 
simulated using PDFs to describe the partonic structure of the resolved 
photon. The evolution equations for photons include an additional term 
that corresponds to <i>gamma &rarr; q qbar</i> splittings. Due to this, 
the PDFs are somewhat different for photons than for hadrons and some parts 
of event generation need special attention. 
 
<h4>Process-level generation</h4> 
 
Due to the additional term in the evolution equations the quarks in a 
resolved photon may carry a very large fraction <i>(x~1)</i> of the photon 
momentum. In these cases it may happen that, after the hard process, there is 
no energy left to construct the beam remnants. This is true especially if 
a heavy quark is taken out from the beam and a corresponding massive 
antiquark needs to be added to the remnant system to conserve flavour. Even 
though these events are allowed based on the PDFs, they are not physical 
and should be rejected. Therefore some amount of errors can be expected when 
generating events close to the edge of phase space, e.g. when collision 
energy is low. 
 
<h4>Spacelike showers</h4> 
 
The parton showers are generated according to the DGLAP evolution equations. 
Due to the <i>gamma &rarr; q qbar</i> splitting in the photon evolution, 
a few modifications are needed for the ISR algorithm. 
<ul> 
<li> 
The additional term corresponds to a possibility to find the original beam 
photon during the backwards evolution, which is added to QED part of the 
spacelike shower evolution. If this splitting happens there is no need to 
construct the beam remnants for the given beam. 
</li> 
<li> 
The heavy quark production threshold with photon beams is handled in a 
similar manner as for hadrons, but now the splitting that is forced 
to happen is <i>gamma &rarr; Q Qbar</i>. 
</li> 
<li> 
As the splittings in backwards evolution increases the <i>x</i> of the 
parton taken from the beam, the splittings can lead to a situation where 
there is no room left for massive beam remnants. To make sure that the 
required  remnants can be constructed, splittings that would not leave 
room for the beam remnants are not allowed. 
</li> 
</ul> 
 
<h4>Beam Remnants</h4> 
 
To construct the beam remnants, one should know whether the parton 
taken from the beam is a valence parton or not. The valence partons of a 
photon includes the partons that originate from <i>gamma &rarr; q qbar</i> 
splittings of the original beam photon and the valence partons from the 
hadron-like part of the PDF. In either case, the flavour of the valence 
quarks can fluctuate. Unfortunately the decomposition to the different 
components are typically not provided in the PDF sets and some further 
assumptions are needed to decide for the valence content. 
 
</p> 
When ISR is applied for photon beams it is possible to end up to the original 
beam photon during the evolution. Therefore there are three possibilities for 
the remnants: 
<ul> 
<li> 
Remnants need to be constructed for both beams. 
</li> 
<li> 
Remnants are constructed only for one side. 
</li> 
<li> 
No need for remnants on either side. 
</li> 
</ul> 
The last case is the simplest as all the partons in the event are already 
generated by the parton showers. In the first case the remnants and 
primordial <i>kT</i> are constructed similarly as for normal hadronic 
interactions [<a href="Bibliography.php" target="page">Sjo04</a>]. For the second case the momenta of the 
remnant partons can not be balanced between the two beams as the kinematics 
of the other side are already fixed. In these cases the momenta are balanced 
between the scattered system and the remnants. 
 
</p> 
As the primordial <i>kT</i> increases the invariant mass of the remnants 
and the scattered system, it may again happen that there is no room for the 
remnant partons after <i>kT</i> is added, so the kinematics can not be 
constructed. In this case new values for <i>kT</i> are sampled. If this 
does not work, a new shower is generated and in some rare cases the 
parton-level generation fails and the hard process is rejected. 
 
 
</body>
</html>
 
<!-- Copyright (C) 2016 Torbjorn Sjostrand --> 
